> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Google Services

> Get all Google Services available for your business categories.     
⚠️ **What are Google Services?**        Google Services are highly visible statements about your business that appear on your Google listing.     
They indicate the different services available for your business, to which you can also add a price and a description.      
For example, the category `gcid:bakery` has several suggested services available, such as catering or delivery.     
Not satisfied with those? You can add your very own custom services and link them to the category of your business of your choice!    
To recover service values set for a business, see [get services business endpoints](/api-reference/businesses/google-services-for-your-business).      
To handle service values for businesses, see [set structured services business endpoints](/api-reference/businesses/set-google-attributes-for-your-business).     
To handle custom service values for businesses, see [set free form services business endpoints](/api-reference/businesses/set-custom-google-services-for-your-business).     
This endpoint allows you to view the Google Services available for your business.     
The services available depend on the categories of the business, not only the main one.     




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /services/suggestions
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /services/suggestions:
    get:
      tags:
        - Google
      summary: List Google Services
      description: >
        Get all Google Services available for your business categories.     

        ⚠️ **What are Google Services?**        Google Services are highly
        visible statements about your business that appear on your Google
        listing.     

        They indicate the different services available for your business, to
        which you can also add a price and a description.      

        For example, the category `gcid:bakery` has several suggested services
        available, such as catering or delivery.     

        Not satisfied with those? You can add your very own custom services and
        link them to the category of your business of your choice!    

        To recover service values set for a business, see [get services business
        endpoints](/api-reference/businesses/google-services-for-your-business).      

        To handle service values for businesses, see [set structured services
        business
        endpoints](/api-reference/businesses/set-google-attributes-for-your-business).     

        To handle custom service values for businesses, see [set free form
        services business
        endpoints](/api-reference/businesses/set-custom-google-services-for-your-business).     

        This endpoint allows you to view the Google Services available for your
        business.     

        The services available depend on the categories of the business, not
        only the main one.     
      operationId: getServicesSuggestions
      parameters:
        - $ref: '#/components/parameters/query_business__in'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServicesSuggestionResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    query_business__in:
      in: query
      name: business__in
      description: >-
        Filter by business ids. Use a comma-separated list to provide multiple
        ids.
      schema:
        type: array
        example: >-
          a1c9f37b4deca92f83b61d02,9f4e2a8c0d73b154e621bc97,c73b15e9fa42d60b3a8c21ef
        items:
          $ref: '#/components/schemas/BusinessId'
          description: ''
  schemas:
    ServicesSuggestionResponse:
      type: object
      properties:
        services_suggestions:
          type: array
          items:
            $ref: '#/components/schemas/ServicesSuggestion'
    BusinessId:
      description: Business id
      type: string
      example: 5409c35a97bbc544d8e26737
    ServicesSuggestion:
      type: object
      properties:
        service_id:
          $ref: '#/components/schemas/ServiceId'
        type:
          $ref: '#/components/schemas/ServiceType'
        name:
          $ref: '#/components/schemas/ServiceName'
        category_id:
          $ref: '#/components/schemas/CategorySqlId'
        category_gmb_name:
          $ref: '#/components/schemas/ServiceCategoryGmbName'
    ServiceId:
      description: >-
        Id of the service (For creation you can get this id by calling [get
        services suggestions
        endpoint](/api-reference/google/list-google-services))
      type: integer
      example: 1
    ServiceType:
      description: Type of the service
      type: string
      enum:
        - STRUCTURED_SERVICE_ITEM
        - FREE_FORM_SERVICE_ITEM
    ServiceName:
      description: |
        Name of the service.
      type: string
      example: Salle d'escalade
    CategorySqlId:
      type: integer
      description: Category id
      example: 42
    ServiceCategoryGmbName:
      type: string
      description: |
        Google name of the category.
      example: gcid:climbing_gym
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````